export { default as validate } from './validate';
import { TRequestWithExtractors, TExtractor, TScrapeResult } from './types';
declare type TOptions = Omit<TRequestWithExtractors, 'extract' | 'url' | 'method'>;
export default class Scraper {
    apiKey: string;
    constructor(apiKey: string);
    scrape<TData extends any = any>(requests: TRequestWithExtractors[]): Promise<TScrapeResult<TData>[]>;
    get<TData extends any = any>(url: string, options?: TOptions, extract?: TExtractor): Promise<TScrapeResult<TData>>;
}
